@layer components {
  h1 {
    @apply text-3xl;
  }

  h2 {
    @apply text-2xl;
  }

  h3 {
    @apply text-xl;
  }

  .hero {
    @apply flex content-center justify-center px-5;

    .hero-background-cover {
      @apply absolute w-full h-full bg-black opacity-80; /* Increased opacity for better contrast */
    }

    .hero-content {
      @apply max-w-container w-container z-10 text-white flex flex-col content-center py-[180px];
    }
  }

  .button {
    @apply flex items-center justify-center py-2 px-4 w-max text-center rounded-md cursor-pointer select-none box-content;

    &.icon-button {
      @apply p-3;

      &:hover {
        @apply bg-gray-100;
      }
    }

    &:disabled {
      cursor: not-allowed;
      background: rgb(182, 182, 182) !important; /* Increased opacity for better visibility */
    }

    &.primary {
      @apply bg-primary text-white hover:bg-primary-hover focus:outline-none focus:ring-2 focus:ring-blue-500 focus:ring-opacity-75; /* Adjusted text color and focus ring for contrast */
    }

    &.secondary {
      @apply border border-gray-300;

      &:hover {
        @apply border-gray-400;
      }
    }

    &.large {
      @apply p-4;
    }
  }

  footer {
    @apply bg-gray-800 text-gray-100 py-10 mt-24; /* Adjusted background and text color for contrast */
  }

  header {
    @apply w-full p-2 px-5 bg-white flex justify-center items-center;

    nav {
      @apply max-w-container w-container flex justify-between items-center;

      .cart-count {
        @apply absolute right-0 px-[6px] top-2 p-[2px] bg-black text-white rounded-full text-xs leading-none text-center;
        min-width: 16px;
      }

      .logo {
        @apply h-5 self-center;
      }

      .site-title {
        @apply text-lg;
      }

      .nav-item {
        @apply py-4 px-3;

        &:not(.icon-nav-item) {
          @apply text-gray-700; /* Darkened text for better contrast */
        }

        &:hover {
          @apply text-black;
        }

        &:not(last-child) {
          @apply mr-4;
        }
      }
    }
  }

  .empty-state {
    @apply w-full flex items-center justify-center bg-gray-100 rounded-md; /* Lightened background for contrast */
  }

  .content {
    @apply w-full pt-10 px-4 max-w-container m-auto min-h-screen;
  }

  .products {
    @apply w-full grid grid-cols-products pt-20 gap-6;

    .product {
      img {
        @apply rounded-md;
      }

      .product-content {
        @apply mt-3;
      }
    }
  }

  .product-page {
    @apply grid gap-10 sm:grid-cols-product;

    .product-image-container {
      .product-image {
        @apply w-full h-full aspect-square object-cover rounded-md;
        -webkit-touch-callout: none; /* iOS Safari */
        -webkit-user-select: none; /* Safari */
        -khtml-user-select: none; /* Konqueror HTML */
        -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
        user-select: none;
      }

      .arrow {
        @apply flex justify-center p-4 px-5;
        cursor: pointer;
        transition: 0.2s ease-out;
      }
    }

    .thumbnails {
      @apply grid grid-cols-thumbnails grid-rows-thumbnails gap-5 mt-5;

      .thumbnail {
        @apply flex h-full w-full rounded-md aspect-square overflow-hidden;
        -webkit-touch-callout: none; /* iOS Safari */
        -webkit-user-select: none; /* Safari */
        -khtml-user-select: none; /* Konqueror HTML */
        -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
        user-select: none;

        &.selected {
          position: relative;

          &::after {
            @apply rounded-md;
            box-shadow: inset 0 0 0 2px #000000;
            content: '';
            display: block;
            height: 100%;
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
          }
        }

        img {
          @apply object-cover w-full h-full rounded-md;
        }
      }
    }

    .variant-selector {
      @apply border px-4 py-2 rounded-md border-gray-300 cursor-pointer; /* Darkened border for contrast */

      &:hover {
        @apply border-gray-700; /* Darkened hover state for contrast */
      }

      &.selected {
        @apply border-gray-700; /* Darkened selected state for contrast */
      }
    }
  }

  .quantity-selector {
    @apply flex content-center border border-slate-300 rounded-md w-max;

    .selector {
      @apply rounded-md m-1;

      &.disabled {
        @apply opacity-30;
      }

      &:not(.disabled) {
        cursor: pointer;

        &:hover {
          @apply bg-gray-100;
        }
      }
    }
  }

  label {
    @apply text-sm text-gray-700; /* Darkened text for contrast */
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none;
  }

  table {
    @apply border-collapse;

    thead {
      @apply border-b border-gray-300; /* Adjusted border color for contrast */

      th {
        @apply py-4 font-normal text-left text-gray-700; /* Darkened text for contrast */
      }
    }

    td {
      @apply p-3 pl-0;
    }
  }
}
